function C80 = calc_C80(ir_hele)

Fs = 44100;
T_early = ceil(Fs * 80 / 1000);  % 80ms

peakval = max(abs(ir_hele));
peaksample = find(abs(ir_hele)==peakval);

trigval = 0.001;
belowtrigval = find(abs(ir_hele(1:peaksample))<peakval*trigval);
start_nr = belowtrigval(end);

ir = ir_hele(start_nr : (length(ir_hele) - (start_nr +1) ));

%plot(ir); %plot for kontroll

ir_early = ir(1:T_early);
ir_earlyfix = [ir_early;zeros(2000,1)];  % forlenger ir med 0'er for  f med hele responsen fra filter_octave 

ir_early_63  = filter_octave(ir_earlyfix,1); 
ir_early_125 = filter_octave(ir_earlyfix,2);
ir_early_250 = filter_octave(ir_earlyfix,3);
ir_early_500 = filter_octave(ir_earlyfix,4);
ir_early_1k  = filter_octave(ir_earlyfix,5);
ir_early_2k  = filter_octave(ir_earlyfix,6);
ir_early_4k  = filter_octave(ir_earlyfix,7);
ir_early_8k  = filter_octave(ir_earlyfix,8);

if length(ir) > 33528      
    T_end = 30000;
else
    T_end = length(ir);
end

ir_late_63  = filter_octave(ir(T_early:T_end),1); 
ir_late_125 = filter_octave(ir(T_early:T_end),2);
ir_late_250 = filter_octave(ir(T_early:T_end),3);
ir_late_500 = filter_octave(ir(T_early:T_end),4);
ir_late_1k  = filter_octave(ir(T_early:T_end),5);
ir_late_2k  = filter_octave(ir(T_early:T_end),6);
ir_late_4k  = filter_octave(ir(T_early:T_end),7);
ir_late_8k  = filter_octave(ir(T_early:T_end),8);


% --- beregning av C80 ---

topp63  = sum(ir_early_63.^2);
topp125 = sum(ir_early_125.^2); 
topp250 = sum(ir_early_250.^2);
topp500 = sum(ir_early_500.^2);
topp1k  = sum(ir_early_1k.^2);
topp2k  = sum(ir_early_2k.^2);
topp4k  = sum(ir_early_4k.^2);
topp8k  = sum(ir_early_8k.^2);

bunn63  = sum(ir_late_63.^2);
bunn125 = sum(ir_late_125.^2);
bunn250 = sum(ir_late_250.^2);
bunn500 = sum(ir_late_500.^2);
bunn1k  = sum(ir_late_1k.^2);
bunn2k  = sum(ir_late_2k.^2);
bunn4k  = sum(ir_late_4k.^2);
bunn8k  = sum(ir_late_8k.^2);

C80_63  = 10 * log10(topp63 / bunn63);
C80_125 = 10 * log10(topp125 / bunn125);
C80_250 = 10 * log10(topp250 / bunn250);
C80_500 = 10 * log10(topp500 / bunn500);
C80_1k  = 10 * log10(topp1k / bunn1k);
C80_2k  = 10 * log10(topp2k / bunn2k);
C80_4k  = 10 * log10(topp4k / bunn4k);
C80_8k  = 10 * log10(topp8k / bunn8k);

C80 = [C80_63 C80_125 C80_250 C80_500 C80_1k C80_2k C80_4k C80_8k];
end
