function LF_band = calc_LF(omni, fig8)

% Funksjonen regner ut Lateral fraction fra en omni og en fig8
% impulsrespons

impuls_omni = loadimp(omni);   %importerer wmb filene
impuls_fig8 = loadimp(fig8);

peakval = max(abs(impuls_omni));               % finner maks, setter start_nr til frste 
peaksample = find(abs(impuls_omni)==peakval);  % sample med verdi under 0.0005 bak maks
trigval = 0.0005;
belowtrigval = find(abs(impuls_omni(1:peaksample))<peakval*trigval);

start_nr = belowtrigval(end);

puls_omni = impuls_omni(start_nr : (length(impuls_omni) - (start_nr +1) ));
puls_fig8 = impuls_fig8(start_nr : (length(impuls_omni) - (start_nr +1) )); 

% --- Kontroll Plot ---

plot(puls_omni,'b');
hold on;
plot(puls_fig8,'r');
legend('omni','fig8');


% --- Oktavbndsfiltrering + EQ konstanter ---

siste_sample = 3528;   % 3528 for 80 ms

omni_125 = filter_octave(puls_omni(1:siste_sample),2); % 
omni_250 = filter_octave(puls_omni(1:siste_sample),3);
omni_500 = filter_octave(puls_omni(1:siste_sample),4);
omni_1k =  filter_octave(puls_omni(1:siste_sample),5);
omni_2k =  filter_octave(puls_omni(1:siste_sample),6);
omni_4k =  filter_octave(puls_omni(1:siste_sample),7);

% eq = calibrate_LF(omni) / calibrate_LF(fig8);

eq(1) = 0.79808;     % EQ for kalibrerte oktavbndsniver: fig8
eq(2) = 0.77846;     % finjustert for LF = 1.00 1.00 1.00 1.00 1.00 1.00
eq(3) = 0.75253;     % ved Fdelay = 1
eq(4) = 0.74072; 
eq(5) = 0.69348;
eq(6) = 0.49788;

Fdelay = 1;  %  0ms = 1 samples ,   5ms = 221 samples

fig8_125 = eq(1) * filter_octave(puls_fig8(Fdelay:sistesampl),2);  
fig8_250 = eq(2) * filter_octave(puls_fig8(Fdelay:sistesampl),3);
fig8_500 = eq(3) * filter_octave(puls_fig8(Fdelay:sistesampl),4);
fig8_1k =  eq(4) * filter_octave(puls_fig8(Fdelay:sistesampl),5);
fig8_2k =  eq(5) * filter_octave(puls_fig8(Fdelay:sistesampl),6);
fig8_4k =  eq(6) * filter_octave(puls_fig8(Fdelay:sistesampl),7);


% --- beregning av LF ---

topp125 = sum(fig8_125.^2); 
topp250 = sum(fig8_250.^2);
topp500 = sum(fig8_500.^2);
topp1k  = sum(fig8_1k.^2);
topp2k  = sum(fig8_2k.^2);
topp4k  = sum(fig8_4k.^2);

bunn125 = sum(omni_125.^2);
bunn250 = sum(omni_250.^2);
bunn500 = sum(omni_500.^2);
bunn1k  = sum(omni_1k.^2);
bunn2k  = sum(omni_2k.^2);
bunn4k  = sum(omni_4k.^2);

LF125 = topp125 / bunn125;
LF250 = topp250 / bunn250;
LF500 = topp500 / bunn500;
LF1k  = topp1k  / bunn1k;
LF2k  = topp2k  / bunn2k;
LF4k  = topp4k  / bunn4k;

LF_band = [LF125, LF250, LF500, LF1k, LF2k, LF4k];

end